SparseILUPreconditioner Class Reference

`#include <ql/math/matrixutilities/sparseilupreconditioner.hpp>`

## Public Member Functions

| SparseILUPreconditioner (const SparseMatrix &A, Integer lfil=1)
const SparseMatrix & | L () const
const SparseMatrix & | U () const
Disposable< Array > | apply (const Array &b) const

## Detailed Description

References: Saad, Yousef. 1996, Iterative methods for sparse linear systems, http://www-users.cs.umn.edu/~saad/books.html